/* Rodin Font importing thing eughhgggg */
/* Medium Weight Font */
@font-face {
  font-family: 'Rodin-Medium';
  src: url('../fonts/FOT-RodinNTLGPro-M.otf') format('opentype');
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}

/* Demi-Bold Weight Font */
@font-face {
  font-family: 'Rodin-DemiBold';
  src: url('../fonts/FOT-RodinNTLGPro-DB.otf') format('opentype');
  font-weight: 600;
  font-style: normal;
  font-display: swap;
}

/* Extra-Bold Weight Font */
@font-face {
  font-family: 'Rodin-ExtraBold';
  src: url('../fonts/FOT-RodinNTLGPro-EB.otf') format('opentype');
  font-weight: 800;
  font-style: normal;
  font-display: swap;
}

/* ------------------ */
/* project sekai ui is hard to replicate sorry */

:root {
    --bg-mafuyu-mood: #121212;
    --card-bg: #ebebf2;
    --border-color: #333333;
    --text-color: #444466;
    --accent-color: #395c58;
    --hover-color: #80f5e6;
    --miku-signature-color: #80f5e6;
}

/* ------------------ */

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: 'Rodin-DemiBold', sans-serif;
}

body {
    background-color: var(--bg-mafuyu-mood);
    color: var(--text-color);
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
}

.quiz-container {
    background-color: var(--card-bg);
    padding: 2.5rem;
    width: 90%;
    max-width: 500px;
    border-radius: 1.5em; 
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.5);
}

.screen {
    display: none;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.screen.active {
    display: flex;
}

h1 {
    font-size: 1.8rem;
    margin-bottom: 1rem;
    letter-spacing: 1px;
    font-family: 'Rodin-ExtraBold', sans-serif;
}

h2 {
    font-size: 1.3rem;
    margin-bottom: 1.5rem;
    line-height: 1.4;
    font-family: 'Rodin-ExtraBold', sans-serif;
}

p {
    margin-bottom: 2rem;
}

.answers-grid {
    display: grid;
    grid-template-columns: 1fr;
    gap: 0.8rem;
    width: 100%;
    margin-bottom: 2rem;
}

.btn {
    background-color: white;
    color: var(--text-color);
    border: none;
    padding: 0.8rem 1.5rem;
    font-size: 1rem;
    cursor: pointer;
    transition: all 0.2s ease;
    border-radius: 5em;
    width: 100%;
    box-shadow: 0px 0px 5px 0px rgba(68, 68, 102, 0.6);
}

.btn:hover:not(:disabled) {
    background-color: var(--hover-color);
}

.answer-btn {
    text-align: left;
    padding-left: 1.2rem;
}

.answer-btn.selected {
    background-color: #54f8e33b;
}

.primary-btn, .submit-btn {
    background-color: transparent;
    background: #80f5e6;
    font-family: 'Rodin-ExtraBold', sans-serif;
}

.submit-btn:disabled {
    opacity: 0.3;
    cursor: not-allowed;
}

.quiz-header {
    width: 100%;
    text-align: left;
    font-size: 0.8rem;
    margin-bottom: 1rem;
    font-family: 'Rodin-ExtraBold', sans-serif;
    opacity: 0.5;
    user-select: none;
}

.quiz-footer {
    width: 100%;
}